Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2048855

Summary: rust-actix-web-4.0.1 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: rust-actix-webAssignee: Rust SIG <rust-sig>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ansasaki, decathorpe, dueno, igor.raits, rust-sig
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rust-actix-web-4.0.1-1.fc37 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-31 23:35:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1950135, 1968199, 2030275, 2036002, 2036321, 2043327, 2058761    
Bug Blocks:    

Description Upstream Release Monitoring 2022-02-01 01:24:49 UTC
Latest upstream release: 4.0.0-rc.1
Current version/release in rawhide: 3.3.2-5.fc36
URL: https://crates.io/crates/actix-web

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20519/

Comment 1 Upstream Release Monitoring 2022-02-25 19:15:15 UTC
Latest upstream release: 4.0.0
Current version/release in rawhide: 3.3.2-5.fc36
URL: https://crates.io/crates/actix-web

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20519/

Comment 2 Upstream Release Monitoring 2022-02-25 20:40:24 UTC
Latest upstream release: 4.0.1
Current version/release in rawhide: 3.3.2-5.fc36
URL: https://crates.io/crates/actix-web

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20519/

Comment 3 Fabio Valentini 2022-05-16 14:33:24 UTC
FYI, I've started to actively work on actix-web 4 and its dependencies.
It might take a few days, as I'm currently busy with other more important things (my thesis project).
I'll update you once all the pieces are in place and then we can coordinate on how to proceed.

Comment 4 Anderson Sasaki 2022-05-16 14:49:26 UTC
(In reply to Fabio Valentini from comment #3)
> FYI, I've started to actively work on actix-web 4 and its dependencies.
> It might take a few days, as I'm currently busy with other more important
> things (my thesis project).
> I'll update you once all the pieces are in place and then we can coordinate
> on how to proceed.

Great, thank you! Let me know if I can help anyhow.

Comment 5 Fabio Valentini 2022-05-24 20:19:23 UTC
You can review these two packages:

- rust-firestorm: https://bugzilla.redhat.com/show_bug.cgi?id=2088939 (new dependency for actix-router)
- rust-num_threads: https://bugzilla.redhat.com/show_bug.cgi?id=2086091 (new dependency for time 0.3.9, which you apparently need for actix-web 4)

Comment 6 Fedora Update System 2022-05-31 23:32:49 UTC
FEDORA-2022-d648310791 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d648310791

Comment 7 Fedora Update System 2022-05-31 23:35:23 UTC
FEDORA-2022-d648310791 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.